import math
from calc_p_from_t import p_value

data = [[80, 85],
        [90, 88],
        [40, 60],
        [55, 70],
        [30, 40]]

N = len(data)
sum = 0.0
print("N = %d"%N)
for x, y in data:
    print("x = %f   y = %f"%(x, y))
    sum += x - y

meanDiff = sum / N
ssum = 0.0
for x, y in data:
    ssum += (x - y - meanDiff) ** 2.0
ss = ssum / (N - 1.0)
df = N - 1
t = meanDiff / math.sqrt(ss / N)
print("t = %f  df = %d"%(t, df))
p = p_value( t, df )
print("Prob(x < %f) = %f    Prob(x > %f) = %f"%(t, p, t, 1.0 - p))

