import math
from calc_p_from_t import p_value

class Ccalc_t_depend:
    def __init__(self, data):
        self.data = data
        self.N = len(self.data)

    def calc(self):
        sum = 0.0
        print("N = %d"%self.N)
        for x, y in self.data:
            print("x = %f   y = %f"%(x, y))
            sum += x - y

        meanDiff = sum / self.N
        ssum = 0.0
        for x, y in self.data:
            ssum += (x - y - meanDiff) ** 2.0
        ss = ssum / (self.N - 1.0)
        df = self.N - 1
        t = meanDiff / math.sqrt(ss / self.N)
        p = p_value( t, df )
        return t, df, p

